/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.dicomsnomedmap;

/**
 * This enum represents DICOM to SNOMED Mapping
 */
public enum EnumAnimalBreedSNOMEDMap {

	//CID 7480. Breed
	CATALANA_CHICKEN_BREED("131998006"),
	CESTRUM_PARQUI("13653002"),
	BLANC_DE_BOUSCAT_RABBIT_BREED("132888004"),
	//CID 7483 Common Anatomic Regions for Animals
	ALL_LEGS("42694008"),
	ATLANTAL_AXIAL_JOINT("361832004"),
	ATLANTO_OCCIPITAL_JOINT("20292002"),
	CALCANEAL_TUBERCLE("82474009"),
	CARPUS("361290000"),
	COCCYGEAL_VERTREBRAE("361774004"),
	DIGIT("82680008"),
	DISTAL_PHALANX("299711006"),
	FETLOCK_OF_FORELIMB("13190002"),
	FETLOCK_OF_HINDLIMB("113351006"),
	FOREFOOT("419176008"),
	FRONTAL_SINUS("55060009"),
	HINDFOOT("416804009"),
	MANDIBULAR_DENTAL_ARCH("88176008"),
	MANDIBULAR_INCISOR_TEETH("442274007"),
	MAXILLARY_DENTAL_ARCH("39481002"),
	MAXILLARY_INCISOR_TEETH("442100006"),
	METACARPUS("181977005"),
	METATARSUS("280711000"),
	NASAL_SINUS("2095001"),
	NAVICULAR_OF_FOREFOOT("30518006"),
	NAVICULAR_OF_HINDFOOT("182100005"),
	ORBITAL_REGION("181143004"),
	PASTERN_OF_FOREFOOT("31329001"),
	PASTERN_OF_HINDFOOT("18525008"),
	RADIUS_AND_ULNA("110535000"),
	STIFFLE("116010006"),
	TARSUS("264228001"),
	TIBIA_AND_FIBULA("110536004"),
	UPPER_GASTRO_INTESTINAL_TRACT("62834003"),
	URINARY_TRACT("35461009"),
	WING("53036007"),
	
	//CID 7484 DX View for Animals
	CAUDODISTAL_CRANIOPROXIMAL_OBLIQUE("442604001"),
	CAUDAL_10_DEGREE_DISTAL_CRANIOPROXIMAL_OBLIQUE(" "),
	CAUDOCRANIAL("399196006"),
	DORSO_VENTRAL("441672003"),
	DORSOLATERAL_PALMAROMEDIAL_OBLIQUE("442657000"),
	DORSAL_35_DEGREE_LATERAL_PALMAROMEDIAL_OBLIQUE("442746003"),
	DORSAL_45_DEGREE_LATERAL_PALMAROMEDIAL_OBLIQUE("442597009"),
	DORSAL_60_DEGREE_LATERAL_PALMAROMEDIAL_OBLIQUE("442639001"),
	DORSOLATERAL_PLANTAROMEDIAL_OBLIQUE("442610001"),
	DORSAL_35_DEGREE_LATERAL_PLANTAROMEDIAL_OBLIQUE("442606004"),
	DORSAL_40_DEGREE_LATERAL_PLANTAROMEDIAL_OBLIQUE("442585008"),
	DORSAL_45_DEGREE_LATERAL_PLANTAROMEDIAL_OBLIQUE("442643002"),
	DORSAL_60_DEGREE_LATERAL_PLANTAROMEDIAL_OBLIQUE("442601009"),
	DORSOMEDIAL_PALMAROLATERAL("442729001"),
	DORSAL_35_DEGREE_MEDIAL_PALMAROLATERAL_OBLIQUE("442583001"),
	DORSAL_40_DEGREE_MEDIAL_PALMAROLATERAL_OBLIQUE("442621005"),
	DORSAL_45_DEGREE_MEDIAL_PALMAROLATERAL("442623008"),
	DORSAL_60_DEGREE_MEDIAL_PALMAROLATERAL_OBLIQUE("442602002"),
	DORSOMEDIAL_PLANTAROLATERAL_OBLIQUE("442611002"),
	DORSAL_35_DEGREE_MEDIAL_PLANTAROLATERAL_OBLIQUE("442608003"),
	DORSAL_40_DEGREE_MEDIAL_PLANTAROLATERAL_OBLIQUE("442622003"),
	DORSAL_45_DEGREE_MEDIAL_PLANTAROLATERAL_OBLIQUE("442600005"),
	DORSAL_60_DEGREE_MEDIAL_PLANTAROLATERAL_OBLIQUE("442641000"),
	DORSOPALMAR("441505008"),
	DORSOPLANTAR("399335002"),
	DORSOPROXIMAL_PALMARODISTAL_OBLIQUE("442744000"),
	DORSAL_65_DEGREE_PROXIMAL_PALMARODISTAL_OBLIQUE("442609006"),
	DORSOPROXIMAL_PLANTARODISTAL_OBLIQUE("442592003"),
	DORSAL_65_DEGREE_PROXIMAL_PLANTARODISTAL_OBLIQUE("442624002"),
	DORSOROSTRAL_VENTROCAUDAL_OBLIQUE("442659002"),
	DORSAL_20_DEGREE_ROSTRAL_VENTROCAUDAL_OBLIQUE("442745004"),
	LATERODORSOPROXIMAL_MEDIOPALMARODISTAL_OBLIQUE("442630002"),
	LATERAL_45_DEG_DORSAL_50_DEG_PROXIMAL_MEDIOPALMARODISTAL_OBLIQUE("442582006"),
	LATERODORSOPROXIMAL_MEDIOPLANTARODISTAL_OBLIQUE("442631003"),
	LATERAL_45_DEG_DORSAL_50_DEG_PROXIMAL_MEDIOPLANTARODISTAL_OBLIQ("442661006"),
	LATEROMEDIAL("399352003"),
	LEFT_CAUDAL_RIGHT_ROSTRAL_OBLIQUE("442638009"),
	LEFT_30_DEGREE_CAUDAL_RIGHT_ROSTRAL_OBLIQUE("442596000"),
	LEFT_DORSAL_RIGHT_VENTRAL_OBLIQUE("442644008"),
	LEFT_20_DEGREE_DORSAL_RIGHT_VENTRAL_OBLIQUE("442748002"),
	LEFT_45_DEGREE_DORSAL_RIGHT_VENTRAL_OBLIQUE("442598004"),
	LEFT_ROSTRAL_RIGHT_CAUDAL_OBLIQUE("442645009"),
	LEFT_20_DEGREE_ROSTRAL_RIGHT_CAUDAL_OBLIQUE("442632005"),
	LEFT_VENTRAL_RIGHT_DORSAL_OBLIQUE("442739007"),
	LEFT_20_DEGREE_VENTRAL_RIGHT_DORSAL_OBLIQUE("442636008"),
	LEFT_45_DEGREE_VENTRAL_RIGHT_DORSAL_OBLIQUE("442599007"),
	LEFT_RIGHT_LATERAL("399198007"),
	MEDIOLATERAL("399260004"),
	PALMAROMEDIAL_DORSOLATERAL("442742001"),
	PALMAR_45_DEGREE_MEDIAL_DORSOLATERAL("442740009"),
	PALMAROPROXIMAL_DORSODISTAL_OBLIQUE("442674000"),
	PALMAR_75_DEGREE_PROXIMAL_DORSODISTAL_OBLIQUE("442591005"),
	PLANTAROLATERAL_DORSOMEDIAL_OBLIQUE("442658005"),
	PLANTAR_60_DEGREE_LATERAL_DORSOMEDIAL_OBLIQUE("442675004"),
	PLANTAROPROXIMAL_DORSODISTAL_OBLIQUE("442625001"),
	PLANTAR_75_DEGREE_PROXIMAL_DORSODISTAL_OBLIQUE("442603007"),
	PROXIMO_DISTAL("442626000"),
	RIGHT_CAUDAL_LEFT_ROSTRAL_OBLIQUE("442629007"),
	RIGHT_30_DEGREE_CAUDAL_LEFT_ROSTRAL_OBLIQUE("442605000"),
	RIGHT_DORSAL_LEFT_VENTRAL_OBLIQUE("442607008"),
	RIGHT_20_DEGREE_DORSAL_LEFT_VENTRAL_OBLIQUE("442627009"),
	RIGHT_45_DEGREE_DORSAL_LEFT_VENTRAL_OBLIQUE("442660007"),
	RIGHT_ROSTRAL_LEFT_CAUDAL_OBLIQUE("442747007"),
	RIGHT_20_DEGREE_ROSTRAL_LEFT_CAUDAL_OBLIQUE("442743006"),
	RIGHT_VENTRAL_LEFT_DORSAL_OBLIQUE("442595001"),
	RIGHT_20_DEGREE_VENTRAL_LEFT_DORSAL_OBLIQUE("442612009"),
	RIGHT_45_DEGREE_VENTRAL_LEFT_DORSAL_OBLIQUE("442628004"),
	RIGHT_LEFT_LATERAL("399173006"),
	ROSTROCAUDAL("442690000"),
	ROSTRODORSAL_CAUDOVENTRAL_OBLIQUE("442637004"),
	ROSTRAL_20_DEGREE_DORSAL_CAUDOVENTRAL_OBLIQUE("442730006"),
	ROSTROVENTRAL_CAUDODORSAL("442586009"),
	ROSTRAL_30_DEGREE_VENTRAL_CAUDODORSAL("442588005"),
	VENTRAL_LEFT_DORSAL_RIGHT_OBLIQUE("442590006"),
	VENTRAL_30_DEGREE_LEFT_DORSAL_RIGHT_OBLIQUE("442589002"),
	VENTRAL_RIGHT_DORSAL_LEFT_OBLIQUE("442738004"),
	VENTRAL_30_DEGREE_RIGHT_DORSAL_LEFT_OBLIQUE("442587000"),
	VENTRO_DORSAL("442441009"),
	VENTROROSTRAL_DORSOCAUDAL_OBLIQUE("442741008"),
	VENTRAL_20_DEGREE_ROSTRAL_DORSOCAUDAL_OBLIQUE("442721003")
	;
	private String value;
	EnumAnimalBreedSNOMEDMap(String strvalue)
	{
		this.value = strvalue;
	}
	/**
	 * 
	 * This function returns the String value of this enum.
	 * @return - returns string value of SNOMED-CT Concept ID.
	 */
		public String getSNOMEDCTID()
		{
			return value;
		}
}
